<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('penilaian', function (Blueprint $table) {
            $table->datetime('reschedule_date')->nullable()->after('waktu_penilaian');
            $table->text('reschedule_note')->nullable()->after('reschedule_date');
            $table->text('rejected_note')->nullable()->after('reschedule_note');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('penilaian', function (Blueprint $table) {
            $table->dropColumn(['reschedule_date', 'reschedule_note', 'rejected_note']);
        });
    }
};
